    Contour the fit and the residuals to a data set.

contour_fit_resid(id=None, replot=False, overcontour=False, **kwargs)
id - int or str, optional
replot - bool, optional
overcontour - bool, optional

Overplot the model - including any PSF - on the data. In a separate plot contour the residuals. The preferences are the same as `contour_data` and `contour_model` .

Plot the fit and residuals for the default data set:

>>> contour_fit_resid()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data and model. If not given then the default identifier is used, as returned by

`get_default_id` .
replot
Set to True to use the values calculated by the last call to `contour_fit_resid` . The default is False .
overcontour
If True then add the data to an existing plot, otherwise create a new contour plot. The default is False .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023